KAutoMount Class Reference

`#include <kautomount.h>`

Inherits QObject.

## Signals

void | finished ()
void | error ()

## Public Member Functions

| KAutoMount (bool readonly, const QString &format, const QString &device, const QString &mountpoint, const QString &desktopFile, bool show_filemanager_window=true)

## Protected Slots

void | slotResult (KIO::Job *)

## Protected Attributes

QString | m_strDevice
bool | m_bShowFilemanagerWindow
QString | m_desktopFile

## Friends

class | gcc_gives_a_warning_without_this

## Detailed Description

This class implements synchronous mounting of devices, as well as showing a file-manager window after mounting a device, optionally.

It is a wrapper around the asychronous KIO::special() call for mount, used by KMimeType.

This class implements synchronous mounting of devices.

Definition at line 41 of file kautomount.h.

## Constructor & Destructor Documentation

KAutoMount::KAutoMount | ( | bool | readonly,
|  | const QString & | format,
|  | const QString & | device,
|  | const QString & | mountpoint,
|  | const QString & | desktopFile,
|  | bool | show_filemanager_window = `true`
| ) |  |

Mounts a device.

Parameters

  readonly | if true, the device is mounted read-only
  format | the file system (e.g. vfat, ext2...) [optional, fstab is used otherwise]
  device | the path to the device (e.g. /dev/fd0)
  mountpoint | the directory where to mount the device [optional, fstab is used otherwise]
  desktopFile | the file the user clicked on - to notify KDirWatch of the fact that it should emit fileDirty for it (to have the icon change)
  show_filemanager_window | if true, a file-manager window for that mountpoint is shown after the mount, if successful.

Definition at line 32 of file kautomount.cpp.

## Member Function Documentation

void KAutoMount::error | ( |  | ) |

signal

Emitted in case the directory could not been mounted.

void KAutoMount::finished | ( |  | ) |

signal

Emitted when the directory has been mounted.

The documentation for this class was generated from the following files:

- kautomount.h
- kautomount.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys